# Game.Moving Class Reference

Inherits Game::Action, and Game::Action.

Collaboration diagram for Game.Moving:

[legend]

List of all members.

## Public Member Functions
| Moving (ICanMove theActor)
override void | SetActor (IWorldEntity theActor)
override bool | CheckFeasibility (WorldEntity selectedEntity)
override void | Update (double appTime, float elapsedTime)
override bool | Similar (Action action)
| Moving (ICanMove theActor)
override void | SetActor (IWorldEntity theActor)
override bool | CheckFeasibility (WorldEntity selectedEntity)
override void | Update (double appTime, float elapsedTime)
override bool | Similar (Action action)
## Public Attributes
WorldLocation | destination

## Detailed Description

Definition at line 89 of file Action.cs.

## Constructor & Destructor Documentation

Game.Moving.Moving | ( | ICanMove | theActor | ) |

Definition at line 93 of file Action.cs.

Game.Moving.Moving | ( | ICanMove | theActor | ) |

Definition at line 93 of file Action.cs.

## Member Function Documentation

override bool Game.Moving.CheckFeasibility | ( | WorldEntity | selectedEntity | ) | `[virtual]`

Reimplemented from Game.Action.

Definition at line 112 of file Action.cs.

override bool Game.Moving.CheckFeasibility | ( | WorldEntity | selectedEntity | ) | `[virtual]`

Reimplemented from Game.Action.

Definition at line 112 of file Action.cs.

override void Game.Moving.SetActor | ( | IWorldEntity | theActor | ) | `[virtual]`

Reimplemented from Game.Action.

Definition at line 98 of file Action.cs.

override void Game.Moving.SetActor | ( | IWorldEntity | theActor | ) | `[virtual]`

Reimplemented from Game.Action.

Definition at line 98 of file Action.cs.

override bool Game.Moving.Similar | ( | Action | action | ) | `[virtual]`

Reimplemented from Game.Action.

Definition at line 133 of file Action.cs.

Here is the call graph for this function:

override bool Game.Moving.Similar | ( | Action | action | ) | `[virtual]`

Reimplemented from Game.Action.

Definition at line 133 of file Action.cs.

Here is the call graph for this function:

override void Game.Moving.Update | ( | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Reimplemented from Game.Action.

Definition at line 117 of file Action.cs.

Here is the call graph for this function:

override void Game.Moving.Update | ( | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Reimplemented from Game.Action.

Definition at line 117 of file Action.cs.

Here is the call graph for this function:

## Member Data Documentation

WorldLocation Game.Moving::destination

Definition at line 91 of file Action.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/World/Action.cs
- D:/guillaume/guillara/3D/DXGfx/World/Action.cs